Skip to main content
GET
/
catchAll
/
webhook-history
Get delivery history
curl --request GET \
  --url https://catchall.newscatcherapi.com/catchAll/webhook-history \
  --header 'x-api-key: <api-key>'
import requests

url = "https://catchall.newscatcherapi.com/catchAll/webhook-history"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://catchall.newscatcherapi.com/catchAll/webhook-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "resource_type": "monitor",
  "resource_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
  "total": 2,
  "page": 1,
  "page_size": 50,
  "total_pages": 1,
  "items": [
    {
      "id": 42,
      "webhook_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "resource_type": "monitor",
      "resource_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
      "additional_info": {},
      "status_code": 200,
      "attempt_number": 1,
      "timestamp": "2026-05-18T10:00:00Z",
      "delivery_status": "SUCCESS",
      "error_message": null,
      "warning_message": null
    },
    {
      "id": 41,
      "webhook_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "resource_type": "monitor",
      "resource_id": "3fec5b07-8786-46d7-9486-d43ff67eccd4",
      "additional_info": {},
      "status_code": 503,
      "attempt_number": 1,
      "timestamp": "2026-05-17T10:00:00Z",
      "delivery_status": "FAILED",
      "error_message": "Service unavailable",
      "warning_message": null
    }
  ]
}
{
"detail": "Invalid API key"
}
{
"detail": "Invalid API key"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Query Parameters

resource_type
enum<string>
required

Type of the resource to retrieve delivery history for. Resource types that can be assigned to a webhook.

Available options:
job,
monitor,
monitor_group
resource_id
string<uuid>
required

Identifier of the resource to retrieve delivery history for.

page
integer
default:1

Page number to retrieve.

Required range: x >= 1
page_size
integer
default:50

Number of records per page.

Required range: 1 <= x <= 500

Response

Webhook delivery history retrieved successfully.

resource_type
enum<string>
required

Type of the queried resource.

Available options:
job,
monitor,
monitor_group
resource_id
string<uuid>
required

Identifier of the queried resource.

Example:

"3fec5b07-8786-46d7-9486-d43ff67eccd4"

total
integer
required

Total number of delivery records for this resource.

Example:

42

page
integer
required

Current page number.

Example:

1

page_size
integer
required

Number of records per page.

Example:

50

total_pages
integer
required

Total number of pages available.

Example:

1

items
object[]
required

Delivery records on this page, ordered by timestamp descending.